﻿/* 
    PASS Virtual Group Global Portuguese
    SQL Curiosities: A Curiosidade Matou O Gato
    2017-04-18 (version 1.01)
    Demo - Confusing names
    André Melancia
    http://Andy.PT

    (C) 2016-2017, André Melancia


                      /^--^\     /^--^\     /^--^\
                       \____/     \____/     \____/
                      /      \   /      \   /      \
                     |        | |        | |        |
                      \__  __/   \__  __/   \__  __/
 |^|^|^|^|^|^|^|^|^|^|^|^\ \^|^|^|^/ /^|^|^|^|^\ \^|^|^|^|^|^|^|^|^|^|^|^|
 | | | | | | | | | | | | |\ \| | |/ /| | | | | | \ \ | | | | | | | | | | |
 ########################/ /######\ \###########/ /#######################
 | | | | | | | | | | | | \/| | | | \/| | | | | |\/ | | | | | | | | | | | |
 |_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|_|



*/


--  +----------------------------------------------------------------+
--  | FELINE TASKS                                                   |
--  +----------------------------------------------------------------+

    -- WARNING: Run these scripts on an EMPTY database!

    -- INSTRUCTIONS: Run one statement at a time.
    

--  +----------------------------------------------------------------+
--  | Sharpening the claws                                           |
--  +----------------------------------------------------------------+

    USE PUSSYCAT;           -- Or whatever database you created!
                            -- Please don't run this on the Master, that's
                            -- just ugly!
    GO


    -- Altoug they usually have 9 lives, we're going to kill them faster...
	-- Note: "IF EXISTS" are ugly. First time these will generate errors
    --       Just accept the errors as part of a 9-lives feline's living ;)
	DROP TABLE [FROM];
	GO


	
--  +----------------------------------------------------------------+
--  | Confusing names                                                |
--  +----------------------------------------------------------------+

    -- Credits:
	-- Based on SQL Revenge by Rob Volk 


    -- First let's create the table
    CREATE TABLE [FROM]         
	(
	    [SELECT]   INT NOT NULL,
	    [WHERE]    INT NULL,
		[NULL]     INT NULL,
		[GROUP BY] INT NULL,
	 	[HAVING]   INT NULL,
		[ORDER BY] INT NULL,
	);


    -- Then add some values
    INSERT INTO  [FROM] ([SELECT], [WHERE], [NULL], [GROUP BY], [ORDER BY])
	VALUES              (       1,      10,     10,       1000,          4),
	                    (       2,      20,     20,       2000,          3),
	                    (       3,      30,    666,       2000,          2),
	                    (       4,      40,   NULL,       2000,          1);
	
	
	-- Now for some strange queries					
	SELECT *          FROM [FROM];

	SELECT [SELECT]   FROM [FROM];

	SELECT [SELECT]   FROM [FROM] WHERE [WHERE] >= 30;

	SELECT [SELECT]   FROM [FROM] WHERE [WHERE] = [NULL];

	SELECT [SELECT]   FROM [FROM] WHERE [WHERE] = [NULL] ORDER BY [ORDER BY] DESC;

	SELECT [GROUP BY] FROM [FROM] WHERE [WHERE] = [NULL] GROUP BY [GROUP BY];

	

	-- Get FROM table structure
    EXEC SP_Help 'FROM';
	


--  +----------------------------------------------------------------+
--  | Playtime is over.                                              |
--  | Now it's time for a cat nap!                                   |
--  +----------------------------------------------------------------+











--  +----------------------------------------------------------------+
--  | Worky, worky, here are the creation/destruction scripts        |
--  +----------------------------------------------------------------+

    -- Credits:
	-- Based on SQL Revenge by Rob Volk 

